"use strict";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTransactionProfilesInfo = exports.getProductTypesInfo = exports.getBrandsInfo = void 0;

var transactionsService = _interopRequireWildcard(require("../../core/services/transactionsService.js"));

var transactionsModel = _interopRequireWildcard(require("../../models/transactionsModels.js"));

function _getRequireWildcardCache() {
  if (typeof WeakMap !== "function") return null;
  var cache = new WeakMap();

  _getRequireWildcardCache = function _getRequireWildcardCache() {
    return cache;
  };

  return cache;
}

function _interopRequireWildcard(obj) {
  if (obj && obj.__esModule) {
    return obj;
  }

  if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
    return {
      "default": obj
    };
  }

  var cache = _getRequireWildcardCache();

  if (cache && cache.has(obj)) {
    return cache.get(obj);
  }

  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;

  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;

      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }

  newObj["default"] = obj;

  if (cache) {
    cache.set(obj, newObj);
  }

  return newObj;
}

var getBrands = transactionsService.getBrands,
    getProductTypes = transactionsService.getProductTypes,
    getTransactionProfiles = transactionsService.getTransactionProfiles;
var brandsModel = transactionsModel.brandsModel,
    productTypesModel = transactionsModel.productTypesModel,
    transactionProfilesModel = transactionsModel.transactionProfilesModel;

var getBrandsInfo = function getBrandsInfo(requestParams, instance) {
  return function (dispatch) {
    getBrands(requestParams, instance).then(function (response) {
      dispatch({
        type: 'GET_BRANDS_INFO',
        data: brandsModel(response.data)
      });
    });
  };
};

exports.getBrandsInfo = getBrandsInfo;

var getProductTypesInfo = function getProductTypesInfo(requestParams, instance) {
  return function (dispatch) {
    getProductTypes(requestParams, instance).then(function (response) {
      dispatch({
        type: 'GET_PRODUCT_TYPES_INFO',
        data: productTypesModel(response.data)
      });
    });
  };
};

exports.getProductTypesInfo = getProductTypesInfo;

var getTransactionProfilesInfo = function getTransactionProfilesInfo(requestParams, instance) {
  return function (dispatch) {
    getTransactionProfiles(requestParams, instance).then(function (response) {
      dispatch({
        type: 'GET_TRANSACTION_PROFILES_INFO',
        data: transactionProfilesModel(response.data)
      });
    });
  };
};

exports.getTransactionProfilesInfo = getTransactionProfilesInfo;