"use strict";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFees = exports.putBankAccounts = exports.getAvailableBanks = exports.getBankInfo = exports.patchInfo = exports.getInfo = exports.getAddresses = exports.getPartners = exports.putContacts = exports.getContacts = void 0;

var _index = require("./index.js");

var sdk = _interopRequireWildcard(require("../../v0/src/index.js"));

var _constants = require("../../v0/src/constants/constants.js");

var _merchantModels = require("../../models/merchantModels.js");

function _getRequireWildcardCache() {
  if (typeof WeakMap !== "function") return null;
  var cache = new WeakMap();

  _getRequireWildcardCache = function _getRequireWildcardCache() {
    return cache;
  };

  return cache;
}

function _interopRequireWildcard(obj) {
  if (obj && obj.__esModule) {
    return obj;
  }

  if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
    return {
      "default": obj
    };
  }

  var cache = _getRequireWildcardCache();

  if (cache && cache.has(obj)) {
    return cache.get(obj);
  }

  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;

  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;

      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }

  newObj["default"] = obj;

  if (cache) {
    cache.set(obj, newObj);
  }

  return newObj;
}

var getContacts = function getContacts(_ref, instance) {
  var affiliationCode = _ref.stonecode,
      apitoken = _ref.apitoken;
  return (0, _index.sdkRequest)(function () {
    return sdk.merchants.contacts.get({
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};

exports.getContacts = getContacts;

var putContacts = function putContacts(_ref2, instance) {
  var affiliationCode = _ref2.stonecode,
      apitoken = _ref2.apitoken,
      payload = _ref2.payload;
  return (0, _index.sdkRequest)(function () {
    return sdk.merchants.contacts.put({
      affiliationCode: affiliationCode,
      id: payload.id
    }, (0, _merchantModels.putContactsModel)(payload));
  }, instance, apitoken);
};

exports.putContacts = putContacts;

var getPartners = function getPartners(_ref3, instance) {
  var affiliationCode = _ref3.stonecode,
      apitoken = _ref3.apitoken;
  sdk.headers.append('StoneCode', affiliationCode); // @todo: remove PORTAL_API_URL when merchant.partners uses the Gateway API

  return (0, _index.sdkRequest)(function () {
    return sdk.merchants.partners.get(_constants.PORTAL_API_URL, {
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};

exports.getPartners = getPartners;

var getAddresses = function getAddresses(_ref4, instance) {
  var affiliationCode = _ref4.stonecode,
      apitoken = _ref4.apitoken;
  return (0, _index.sdkRequest)(function () {
    return sdk.merchants.addresses.get({
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};

exports.getAddresses = getAddresses;

var getInfo = function getInfo(_ref5, instance) {
  var affiliationCode = _ref5.stonecode,
      apitoken = _ref5.apitoken;
  return (0, _index.sdkRequest)(function () {
    return sdk.merchants.merchant.get({
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};

exports.getInfo = getInfo;

var patchInfo = function patchInfo(_ref6, instance) {
  var affiliationCode = _ref6.stonecode,
      apitoken = _ref6.apitoken,
      payload = _ref6.payload;
  return (0, _index.sdkRequest)(function () {
    return sdk.merchants.merchant.patch({
      affiliationCode: affiliationCode
    }, payload);
  }, instance, apitoken);
};

exports.patchInfo = patchInfo;

var getBankInfo = function getBankInfo(_ref7, instance) {
  var affiliationCode = _ref7.stonecode,
      apitoken = _ref7.apitoken;
  return (0, _index.sdkRequest)(function () {
    return sdk.merchants.bankAccounts.get({
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};

exports.getBankInfo = getBankInfo;

var getAvailableBanks = function getAvailableBanks(_ref8, instance) {
  var affiliationCode = _ref8.stonecode,
      apitoken = _ref8.apitoken;
  return (0, _index.sdkRequest)(function () {
    return sdk.merchants.availableBanks.get({
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};

exports.getAvailableBanks = getAvailableBanks;

var putBankAccounts = function putBankAccounts(_ref9, instance) {
  var affiliationCode = _ref9.stonecode,
      apitoken = _ref9.apitoken,
      payload = _ref9.payload;
  return (0, _index.sdkRequest)(function () {
    return sdk.merchants.bankAccounts.put({
      affiliationCode: affiliationCode,
      id: payload.id
    }, (0, _merchantModels.putMerchantsBankInfo)(payload));
  }, instance, apitoken);
};

exports.putBankAccounts = putBankAccounts;

var getFees = function getFees(_ref10, instance) {
  var affiliationCode = _ref10.stonecode,
      apitoken = _ref10.apitoken;
  return (0, _index.sdkRequest)(function () {
    return sdk.merchants.fees.get({
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};

exports.getFees = getFees;