"use strict";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPaymentOperationsCategories = exports.getPaymentStatus = exports.getPaymentWalletTypes = exports.getPaymentOperations = exports.getPaymentDetailsByWalletTypeId = exports.getPaymentDetails = void 0;

var _index = require("./index.js");

var sdk = _interopRequireWildcard(require("../../v0/src/index.js"));

function _getRequireWildcardCache() {
  if (typeof WeakMap !== "function") return null;
  var cache = new WeakMap();

  _getRequireWildcardCache = function _getRequireWildcardCache() {
    return cache;
  };

  return cache;
}

function _interopRequireWildcard(obj) {
  if (obj && obj.__esModule) {
    return obj;
  }

  if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
    return {
      "default": obj
    };
  }

  var cache = _getRequireWildcardCache();

  if (cache && cache.has(obj)) {
    return cache.get(obj);
  }

  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;

  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;

      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }

  newObj["default"] = obj;

  if (cache) {
    cache.set(obj, newObj);
  }

  return newObj;
}

var getPaymentDetails = function getPaymentDetails(requestParams, instance) {
  var apitoken = requestParams.apitoken,
      affiliationCodes = requestParams.stonecode,
      startDate = requestParams.startdate,
      finalDate = requestParams.finaldate,
      crossBalance = requestParams.crossbalance;
  return (0, _index.sdkRequest)(function () {
    return sdk.payments.payments.get({
      affiliationCodes: affiliationCodes,
      startDate: startDate,
      finalDate: finalDate,
      crossBalance: crossBalance
    });
  }, instance, apitoken);
};

exports.getPaymentDetails = getPaymentDetails;

var getPaymentDetailsByWalletTypeId = function getPaymentDetailsByWalletTypeId(requestParams, instance) {
  var apitoken = requestParams.apitoken,
      affiliationCodes = requestParams.stonecode,
      startDate = requestParams.startdate,
      finalDate = requestParams.finaldate,
      walletTypeId = requestParams.wallettypeid;
  return (0, _index.sdkRequest)(function () {
    return sdk.payments.details.get({
      affiliationCodes: affiliationCodes,
      startDate: startDate,
      finalDate: finalDate,
      walletTypeId: walletTypeId
    });
  }, instance, apitoken);
};

exports.getPaymentDetailsByWalletTypeId = getPaymentDetailsByWalletTypeId;

var getPaymentOperations = function getPaymentOperations(requestParams, instance) {
  var apitoken = requestParams.apitoken,
      affiliationCodes = requestParams.stonecode,
      startDate = requestParams.startdate,
      finalDate = requestParams.finaldate,
      page = requestParams.page,
      pageSize = requestParams.pagesize;
  return (0, _index.sdkRequest)(function () {
    return sdk.payments.operations.get({
      affiliationCodes: affiliationCodes,
      startDate: startDate,
      finalDate: finalDate,
      page: page,
      pageSize: pageSize
    });
  }, instance, apitoken);
};

exports.getPaymentOperations = getPaymentOperations;

var getPaymentWalletTypes = function getPaymentWalletTypes(_ref, instance) {
  var apitoken = _ref.apitoken;
  return (0, _index.sdkRequest)(function () {
    return sdk.payments.walletTypes.get();
  }, instance, apitoken);
};

exports.getPaymentWalletTypes = getPaymentWalletTypes;

var getPaymentStatus = function getPaymentStatus(_ref2, instance) {
  var apitoken = _ref2.apitoken;
  return (0, _index.sdkRequest)(function () {
    return sdk.payments.status.get();
  }, instance, apitoken);
};

exports.getPaymentStatus = getPaymentStatus;

var getPaymentOperationsCategories = function getPaymentOperationsCategories(_ref3, instance) {
  var apitoken = _ref3.apitoken;
  return (0, _index.sdkRequest)(function () {
    return sdk.payments.operationsCategories.get();
  }, instance, apitoken);
};

exports.getPaymentOperationsCategories = getPaymentOperationsCategories;