"use strict";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "bindActionCreators", {
  enumerable: true,
  get: function get() {
    return _redux.bindActionCreators;
  }
});
Object.defineProperty(exports, "Store", {
  enumerable: true,
  get: function get() {
    return _store.Store;
  }
});
Object.defineProperty(exports, "connect", {
  enumerable: true,
  get: function get() {
    return _connect.connect;
  }
});
Object.defineProperty(exports, "apiUrl", {
  enumerable: true,
  get: function get() {
    return _apiUrls.apiUrl;
  }
});
Object.defineProperty(exports, "onSdkAvailable", {
  enumerable: true,
  get: function get() {
    return _onSdkAvailable.onSdkAvailable;
  }
});
Object.defineProperty(exports, "slingSdk", {
  enumerable: true,
  get: function get() {
    return _slingSdkHelper.slingSdk;
  }
});
Object.defineProperty(exports, "brazilStates", {
  enumerable: true,
  get: function get() {
    return _global.brazilStates;
  }
});
Object.defineProperty(exports, "accountTypes", {
  enumerable: true,
  get: function get() {
    return _merchants.accountTypes;
  }
});
Object.defineProperty(exports, "v0", {
  enumerable: true,
  get: function get() {
    return _index.sdk;
  }
});
exports.salesActions = exports.paymentsActions = exports.merchantActions = exports.globalActions = void 0;

var _redux = require("redux");

var _store = require("./container/store/store.js");

var _connect = require("./connect/connect.js");

var _apiUrls = require("./constants/apiUrls.js");

var _onSdkAvailable = require("./connect/onSdkAvailable.js");

var globalActions = _interopRequireWildcard(require("./container/actions/globalActions.js"));

exports.globalActions = globalActions;

var merchantActions = _interopRequireWildcard(require("./container/actions/merchantActions.js"));

exports.merchantActions = merchantActions;

var paymentsActions = _interopRequireWildcard(require("./container/actions/paymentsActions.js"));

exports.paymentsActions = paymentsActions;

var salesActions = _interopRequireWildcard(require("./container/actions/salesActions.js"));

exports.salesActions = salesActions;

var _slingSdkHelper = require("./core/helpers/slingSdkHelper.js");

var _global = require("./constants/global.js");

var _merchants = require("./constants/merchants.js");

var _index = require("./v0/index.js");

function _getRequireWildcardCache() {
  if (typeof WeakMap !== "function") return null;
  var cache = new WeakMap();

  _getRequireWildcardCache = function _getRequireWildcardCache() {
    return cache;
  };

  return cache;
}

function _interopRequireWildcard(obj) {
  if (obj && obj.__esModule) {
    return obj;
  }

  if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
    return {
      "default": obj
    };
  }

  var cache = _getRequireWildcardCache();

  if (cache && cache.has(obj)) {
    return cache.get(obj);
  }

  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;

  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;

      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }

  newObj["default"] = obj;

  if (cache) {
    cache.set(obj, newObj);
  }

  return newObj;
}