"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "activateTerminal", {
  enumerable: true,
  get: function get() {
    return _terminals.activate;
  }
});
Object.defineProperty(exports, "deactivateTerminal", {
  enumerable: true,
  get: function get() {
    return _terminals.deactivate;
  }
});
exports.termsHashes = exports.terminals = exports.term = exports.subscriptions = exports.simulateSales = exports.rentsPerDate = exports.rentedTerminals = exports.preAuthorization = exports.paymentsPerDate = exports.paymentInfo = exports.partners = exports.openBalance = exports.merchantList = exports.merchant = exports.isMEI = exports.groupedEntries = exports.fees = exports.contactTypes = exports.contacts = exports.collact = exports.captureMethods = exports.brands = exports.bankSlip = exports.bankAccounts = exports.availableBanks = exports.addresses = void 0;

var _addresses = require("./addresses/addresses.js");

var _availableBanks = require("./availableBanks/availableBanks.js");

var _bankAccounts = require("./bankAccounts/bankAccounts.js");

var _bankSlip = require("./bankSlip/bankSlip.js");

var _brands = require("./brands/brands.js");

var _captureMethods = require("./captureMethods/captureMethods.js");

var _collact = require("./collact/collact.js");

var _contacts = require("./contacts/contacts.js");

var _contactTypes = require("./contactTypes/contactTypes.js");

var _fees = require("./fees/fees.js");

var _groupedEntries = require("./groupedEntries/groupedEntries.js");

var _isMEI = require("./isMEI/isMEI.js");

var _merchantList = require("./merchantList/merchantList.js");

var _merchant = require("./merchant/merchant.js");

var _openBalance = require("./openBalance/openBalance.js");

var _partners = require("./partners/partners.js");

var _paymentInfo = require("./paymentInfo/paymentInfo.js");

var _paymentsPerDate = require("./paymentsPerDate/paymentsPerDate.js");

var _preAuthorization = require("./preAuthorization/preAuthorization.js");

var _rentedTerminals = require("./rentedTerminals/rentedTerminals.js");

var _rentsPerDate = require("./rents/rentsPerDate.js");

var _simulateSales = require("./simulateSales/simulateSales.js");

var _subscriptions = require("./subscriptions/subscriptions.js");

var _terminals = require("./terminals/terminals.js");

var _term = require("./term/term.js");

var _termsHashes = require("./termsHashes/termsHashes.js");

var addresses = (0, _addresses.service)();
exports.addresses = addresses;
var availableBanks = (0, _availableBanks.service)();
exports.availableBanks = availableBanks;
var bankAccounts = (0, _bankAccounts.service)();
exports.bankAccounts = bankAccounts;
var bankSlip = (0, _bankSlip.service)();
exports.bankSlip = bankSlip;
var brands = (0, _brands.service)();
exports.brands = brands;
var captureMethods = (0, _captureMethods.service)();
exports.captureMethods = captureMethods;
var collact = (0, _collact.service)();
exports.collact = collact;
var contacts = (0, _contacts.service)();
exports.contacts = contacts;
var contactTypes = (0, _contactTypes.service)();
exports.contactTypes = contactTypes;
var fees = (0, _fees.service)();
exports.fees = fees;
var groupedEntries = (0, _groupedEntries.service)();
exports.groupedEntries = groupedEntries;
var isMEI = (0, _isMEI.service)();
exports.isMEI = isMEI;
var merchant = (0, _merchant.service)();
exports.merchant = merchant;
var merchantList = (0, _merchantList.service)();
exports.merchantList = merchantList;
var openBalance = (0, _openBalance.service)();
exports.openBalance = openBalance;
var partners = (0, _partners.service)();
exports.partners = partners;
var paymentInfo = (0, _paymentInfo.service)();
exports.paymentInfo = paymentInfo;
var paymentsPerDate = (0, _paymentsPerDate.service)();
exports.paymentsPerDate = paymentsPerDate;
var preAuthorization = (0, _preAuthorization.service)();
exports.preAuthorization = preAuthorization;
var rentedTerminals = (0, _rentedTerminals.service)();
exports.rentedTerminals = rentedTerminals;
var rentsPerDate = (0, _rentsPerDate.service)();
exports.rentsPerDate = rentsPerDate;
var simulateSales = (0, _simulateSales.service)();
exports.simulateSales = simulateSales;
var subscriptions = (0, _subscriptions.service)();
exports.subscriptions = subscriptions;
var term = (0, _term.service)();
exports.term = term;
var terminals = (0, _terminals.service)();
exports.terminals = terminals;
var termsHashes = (0, _termsHashes.service)();
exports.termsHashes = termsHashes;