"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _moment = _interopRequireDefault(require("moment/moment"));

var _request = require("../../../helpers/request.js");

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    "default": obj
  };
}

var convertDateToAspNetAjaxFormat = function convertDateToAspNetAjaxFormat(date) {
  var epochInMilliseconds = (0, _moment["default"])(date).valueOf();
  return "/Date(".concat(epochInMilliseconds, "%2B0000)/");
};

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  return {
    get: get(function (params) {
      var startDate = convertDateToAspNetAjaxFormat(params.startDate);
      var endDate = convertDateToAspNetAjaxFormat(params.endDate);
      return "v0/merchants/".concat(params.affiliationCode, "/rents") + "?aspNetAjaxChargeDateFrom=".concat(startDate) + "&aspNetAjaxChargeDateTo=".concat(endDate);
    })
  };
};

exports.service = service;