"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var customResponseParser = function customResponseParser(response) {
  return response.status !== 204 ? response.blob() : response;
};

var requestConfig = {
  responseParser: customResponseParser
};

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  return {
    get: get(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/") + "terms/".concat(params.termHash);
    }, requestConfig)
  };
};

exports.service = service;