"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _offsetPagination = require("../../../helpers/offsetPagination.js");

var _usersListInterface = require("./usersListInterface.js");

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  var put = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _request.putRequest;
  var post = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : _request.postRequest;
  return {
    get: get(function (params) {
      var pagination = (0, _offsetPagination.getOffsetPagination)(params.offset, params.limit);
      return "v0/portal/users/visible?".concat(pagination);
    }),
    put: put(function (params) {
      return "v0/portal/users/".concat(params.userIdentifier);
    }, _usersListInterface.usersListPutInterface),
    post: post('v0/portal/users', _usersListInterface.usersListPostInterface)
  };
};

exports.service = service;