"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTransactionProfilesInfo = exports.getProductTypesInfo = exports.getBrandsInfo = void 0;

var transactionsService = _interopRequireWildcard(require("../../core/services/transactionsService.js"));

var transactionsModel = _interopRequireWildcard(require("../../models/transactionsModels.js"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const {
  getBrands,
  getProductTypes,
  getTransactionProfiles
} = transactionsService;
const {
  brandsModel,
  productTypesModel,
  transactionProfilesModel
} = transactionsModel;

const getBrandsInfo = (requestParams, instance) => dispatch => {
  getBrands(requestParams, instance).then(response => {
    dispatch({
      type: 'GET_BRANDS_INFO',
      data: brandsModel(response.data)
    });
  });
};

exports.getBrandsInfo = getBrandsInfo;

const getProductTypesInfo = (requestParams, instance) => dispatch => {
  getProductTypes(requestParams, instance).then(response => {
    dispatch({
      type: 'GET_PRODUCT_TYPES_INFO',
      data: productTypesModel(response.data)
    });
  });
};

exports.getProductTypesInfo = getProductTypesInfo;

const getTransactionProfilesInfo = (requestParams, instance) => dispatch => {
  getTransactionProfiles(requestParams, instance).then(response => {
    dispatch({
      type: 'GET_TRANSACTION_PROFILES_INFO',
      data: transactionProfilesModel(response.data)
    });
  });
};

exports.getTransactionProfilesInfo = getTransactionProfilesInfo;