"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
const initialState = {
  merchantContacts: [],
  merchantPartners: [],
  merchantAddresses: [],
  merchantInfo: [],
  merchantBankInfo: [],
  merchantFees: []
};

var _default = (state = initialState, action = {}) => {
  switch (action.type) {
    case 'GET_MERCHANT_CONTACTS':
      return { ...state,
        merchantContacts: action.data
      };

    case 'PUT_MERCHANT_CONTACTS':
      return { ...state,
        merchantContacts: state.merchantContacts.map(item => item.id === action.data.id ? { ...item,
          ...action.data
        } : item)
      };

    case 'GET_MERCHANT_PARTNERS':
      return { ...state,
        merchantPartners: action.data
      };

    case 'GET_MERCHANT_ADDRESSES':
      return { ...state,
        merchantAddresses: action.data
      };

    case 'GET_MERCHANT_INFO':
      return { ...state,
        merchantInfo: action.data
      };

    case 'PATCH_MERCHANT_FANTASY_NAME':
      return { ...state,
        merchantInfo: [{ ...state.merchantInfo[0],
          fantasyName: action.data
        }]
      };

    case 'GET_MERCHANT_BANK_INFO':
      return { ...state,
        merchantBankInfo: action.data
      };

    case 'PUT_MERCHANT_BANK_INFO':
      return { ...state,
        merchantBankInfo: { ...state.merchantBankInfo,
          banks: state.merchantBankInfo.banks.map(item => item.id === action.data.id ? { ...item,
            ...action.data
          } : item)
        }
      };

    case 'GET_MERCHANT_FEES':
      return { ...state,
        merchantFees: action.data
      };

    default:
      return state;
  }
};

exports.default = _default;