"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validatePayload = void 0;

var _interface = require("../helpers/interface.js");

var _constants = require("../constants/constants.js");

const validatePayload = (intface, payload, requestMethod) => {
  const interfaceMatcher = requestMethod === _constants.PATCH ? _interface.matchesInterfacePartially : _interface.matchesInterface;
  const isInterfaceMatched = interfaceMatcher(intface);
  const isValidPayload = Array.isArray(payload) ? payload.every(isInterfaceMatched) : isInterfaceMatched(payload);

  if (!isValidPayload) {
    throw new Error('The object does not match the interface.');
  }

  return payload;
};

exports.validatePayload = validatePayload;