"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.payments = exports.paymentsForecast = exports.proposals = exports.loans = exports.creditLines = void 0;

var _creditLines = require("./creditLines/creditLines.js");

var _loans = require("./loans/loans.js");

var _proposals = require("./proposals/proposals.js");

var _payments_forecast = require("./payments_forecast/payments_forecast.js");

var _payments = require("./payments/payments.js");

const creditLines = (0, _creditLines.service)();
exports.creditLines = creditLines;
const loans = (0, _loans.service)();
exports.loans = loans;
const proposals = (0, _proposals.service)();
exports.proposals = proposals;
const paymentsForecast = (0, _payments_forecast.service)();
exports.paymentsForecast = paymentsForecast;
const payments = (0, _payments.service)();
exports.payments = payments;