"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _moment = _interopRequireDefault(require("moment/moment"));

var _request = require("../../../helpers/request.js");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const convertDateToAspNetAjaxFormat = date => {
  const epochInMilliseconds = (0, _moment.default)(date).valueOf();
  return `/Date(${epochInMilliseconds}%2B0000)/`;
};

const service = (get = _request.getRequest) => ({
  get: get(params => {
    const startDate = convertDateToAspNetAjaxFormat(params.startDate);
    const endDate = convertDateToAspNetAjaxFormat(params.endDate);
    return `v0/merchants/${params.affiliationCode}/rents` + `?aspNetAjaxChargeDateFrom=${startDate}` + `&aspNetAjaxChargeDateTo=${endDate}`;
  })
});

exports.service = service;