"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = exports.deactivate = exports.activate = void 0;

var _request = require("../../../helpers/request.js");

var _pagination = require("../../../helpers/pagination.js");

var _activate = require("./activate/activate.js");

var _deactivate = require("./deactivate/deactivate.js");

const activate = (0, _activate.service)();
exports.activate = activate;
const deactivate = (0, _deactivate.service)();
exports.deactivate = deactivate;

const service = (get = _request.getRequest) => ({
  get: get(params => {
    if (!params.page) {
      params.page = 1;
    }

    const pagination = (0, _pagination.getPagination)(params.page, params.pageSize);
    return `v0/merchants/${params.affiliationCode}/terminal-devices` + `?${pagination}` + `${params.statusId ? `&statusId=${params.statusId}` : ''}`;
  })
});

exports.service = service;