"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _offsetPagination = require("../../../helpers/offsetPagination.js");

var _usersListInterface = require("./usersListInterface.js");

const service = (get = _request.getRequest, put = _request.putRequest, post = _request.postRequest) => ({
  get: get(params => {
    const pagination = (0, _offsetPagination.getOffsetPagination)(params.offset, params.limit);
    return `v0/portal/users/visible?${pagination}`;
  }),
  put: put(params => `v0/portal/users/${params.userIdentifier}`, _usersListInterface.usersListPutInterface),
  post: post('v0/portal/users', _usersListInterface.usersListPostInterface)
});

exports.service = service;