function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as paymentsService from '../../core/services/paymentsService.js';
import * as transactionsService from '../../core/services/transactionsService.js';
import * as paymentsModel from '../../models/paymentsModels.js';
var getProductTypes = transactionsService.getProductTypes,
    getBrands = transactionsService.getBrands;
var getPaymentDetailsByWalletTypeId = paymentsService.getPaymentDetailsByWalletTypeId,
    getPaymentDetails = paymentsService.getPaymentDetails,
    getPaymentStatus = paymentsService.getPaymentStatus,
    getPaymentOperations = paymentsService.getPaymentOperations,
    getPaymentWalletTypes = paymentsService.getPaymentWalletTypes,
    getPaymentOperationsCategories = paymentsService.getPaymentOperationsCategories;
var paymentsCalendarModel = paymentsModel.paymentsCalendarModel,
    paymentDetailsModel = paymentsModel.paymentDetailsModel,
    paymentDetailsByWalletTypeIdModel = paymentsModel.paymentDetailsByWalletTypeIdModel;
export var getCalendarPaymentsInfo = function getCalendarPaymentsInfo(requestParams, instance) {
  return function (dispatch) {
    var promises = [getPaymentDetails(_objectSpread({}, requestParams, {
      crossbalance: true
    }), instance), getPaymentStatus(requestParams, instance)];
    Promise.all(promises).then(function (responses) {
      dispatch({
        type: 'GET_PAYMENTS_CALENDAR_INFO',
        data: paymentsCalendarModel(responses)
      });
    });
  };
};
export var getPaymentDetailsInfo = function getPaymentDetailsInfo(requestParams, instance) {
  return function (dispatch) {
    var promises = [getPaymentDetails(_objectSpread({}, requestParams, {
      crossbalance: true
    }), instance), getPaymentWalletTypes(requestParams, instance), getBrands(requestParams, instance), getProductTypes(requestParams, instance)];
    Promise.all(promises).then(function (responses) {
      dispatch({
        type: 'GET_PAYMENT_DETAILS_INFO',
        data: paymentDetailsModel(responses)
      });
    });
  };
};
export var getPaymentDetailsInfoByWalletTypeId = function getPaymentDetailsInfoByWalletTypeId(requestParams, instance) {
  return function (dispatch) {
    var promises = [getPaymentDetailsByWalletTypeId(requestParams, instance), getPaymentWalletTypes(requestParams, instance), getPaymentOperationsCategories(requestParams, instance), getBrands(requestParams, instance), getProductTypes(requestParams, instance)];
    Promise.all(promises).then(function (responses) {
      dispatch({
        type: 'GET_PAYMENT_DETAILS_INFO_BY_WALLET_TYPE_ID',
        data: paymentDetailsByWalletTypeIdModel(responses)
      });
    });
  };
};
export var getPaymentOperationsInfo = function getPaymentOperationsInfo(requestParameters, instance) {
  return function (dispatch) {
    var promises = [getPaymentOperations(requestParameters, instance), getPaymentStatus(requestParameters, instance), getPaymentOperationsCategories(requestParameters, instance), getProductTypes(requestParameters, instance)];
    Promise.all(promises).then(function (responses) {
      dispatch({
        type: 'GET_PAYMENT_OPERATIONS_INFO',
        data: paymentsModel.paymentOperationsModel(responses)
      });
    });
  };
};
export var getPaymentWalletTypesInfo = function getPaymentWalletTypesInfo(requestParameters, instance) {
  return function (dispatch) {
    paymentsService.getPaymentWalletTypes(requestParameters, instance).then(function (response) {
      dispatch({
        type: 'GET_PAYMENT_WALLET_TYPES',
        data: paymentsModel.paymentsWalletsTypesModel(response)
      });
    });
  };
};
export var getPaymentStatusInfo = function getPaymentStatusInfo(requestParameters, instance) {
  return function (dispatch) {
    paymentsService.getPaymentStatus(requestParameters, instance).then(function (response) {
      dispatch({
        type: 'GET_PAYMENT_STATUS',
        data: paymentsModel.paymentsStatusModel(response)
      });
    });
  };
};
export var getPaymentOperationsCategoriesInfo = function getPaymentOperationsCategoriesInfo(requestParameters, instance) {
  return function (dispatch) {
    paymentsService.getPaymentOperationsCategories(requestParameters, instance).then(function (response) {
      dispatch({
        type: 'GET_PAYMENT_OPERATIONS_CATEGORIES',
        data: paymentsModel.paymentsOperationsCategoriesModel(response)
      });
    });
  };
};