import * as transactionsService from '../../core/services/transactionsService.js';
import * as transactionsModel from '../../models/transactionsModels.js';
var getBrands = transactionsService.getBrands,
    getProductTypes = transactionsService.getProductTypes,
    getTransactionProfiles = transactionsService.getTransactionProfiles;
var brandsModel = transactionsModel.brandsModel,
    productTypesModel = transactionsModel.productTypesModel,
    transactionProfilesModel = transactionsModel.transactionProfilesModel;
export var getBrandsInfo = function getBrandsInfo(requestParams, instance) {
  return function (dispatch) {
    getBrands(requestParams, instance).then(function (response) {
      dispatch({
        type: 'GET_BRANDS_INFO',
        data: brandsModel(response.data)
      });
    });
  };
};
export var getProductTypesInfo = function getProductTypesInfo(requestParams, instance) {
  return function (dispatch) {
    getProductTypes(requestParams, instance).then(function (response) {
      dispatch({
        type: 'GET_PRODUCT_TYPES_INFO',
        data: productTypesModel(response.data)
      });
    });
  };
};
export var getTransactionProfilesInfo = function getTransactionProfilesInfo(requestParams, instance) {
  return function (dispatch) {
    getTransactionProfiles(requestParams, instance).then(function (response) {
      dispatch({
        type: 'GET_TRANSACTION_PROFILES_INFO',
        data: transactionProfilesModel(response.data)
      });
    });
  };
};