import { sdkRequest } from './index.js';
import * as sdk from '../../v0/src/index.js';
import { PORTAL_API_URL } from '../../v0/src/constants/constants.js';
import { putContactsModel, putMerchantsBankInfo } from '../../models/merchantModels.js';
export var getContacts = function getContacts(_ref, instance) {
  var affiliationCode = _ref.stonecode,
      apitoken = _ref.apitoken;
  return sdkRequest(function () {
    return sdk.merchants.contacts.get({
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};
export var putContacts = function putContacts(_ref2, instance) {
  var affiliationCode = _ref2.stonecode,
      apitoken = _ref2.apitoken,
      payload = _ref2.payload;
  return sdkRequest(function () {
    return sdk.merchants.contacts.put({
      affiliationCode: affiliationCode,
      id: payload.id
    }, putContactsModel(payload));
  }, instance, apitoken);
};
export var getPartners = function getPartners(_ref3, instance) {
  var affiliationCode = _ref3.stonecode,
      apitoken = _ref3.apitoken;
  sdk.headers.append('StoneCode', affiliationCode); // @todo: remove PORTAL_API_URL when merchant.partners uses the Gateway API

  return sdkRequest(function () {
    return sdk.merchants.partners.get(PORTAL_API_URL, {
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};
export var getAddresses = function getAddresses(_ref4, instance) {
  var affiliationCode = _ref4.stonecode,
      apitoken = _ref4.apitoken;
  return sdkRequest(function () {
    return sdk.merchants.addresses.get({
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};
export var getInfo = function getInfo(_ref5, instance) {
  var affiliationCode = _ref5.stonecode,
      apitoken = _ref5.apitoken;
  return sdkRequest(function () {
    return sdk.merchants.merchant.get({
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};
export var patchInfo = function patchInfo(_ref6, instance) {
  var affiliationCode = _ref6.stonecode,
      apitoken = _ref6.apitoken,
      payload = _ref6.payload;
  return sdkRequest(function () {
    return sdk.merchants.merchant.patch({
      affiliationCode: affiliationCode
    }, payload);
  }, instance, apitoken);
};
export var getBankInfo = function getBankInfo(_ref7, instance) {
  var affiliationCode = _ref7.stonecode,
      apitoken = _ref7.apitoken;
  return sdkRequest(function () {
    return sdk.merchants.bankAccounts.get({
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};
export var getAvailableBanks = function getAvailableBanks(_ref8, instance) {
  var affiliationCode = _ref8.stonecode,
      apitoken = _ref8.apitoken;
  return sdkRequest(function () {
    return sdk.merchants.availableBanks.get({
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};
export var putBankAccounts = function putBankAccounts(_ref9, instance) {
  var affiliationCode = _ref9.stonecode,
      apitoken = _ref9.apitoken,
      payload = _ref9.payload;
  return sdkRequest(function () {
    return sdk.merchants.bankAccounts.put({
      affiliationCode: affiliationCode,
      id: payload.id
    }, putMerchantsBankInfo(payload));
  }, instance, apitoken);
};
export var getFees = function getFees(_ref10, instance) {
  var affiliationCode = _ref10.stonecode,
      apitoken = _ref10.apitoken;
  return sdkRequest(function () {
    return sdk.merchants.fees.get({
      affiliationCode: affiliationCode
    });
  }, instance, apitoken);
};