function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) { return; } var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import { makeRequest } from './makeRequest.js';
import { uniqId } from './uniqId.js';
import { get as getBaseUrl } from '../services/baseUrl.js';
import { get as getHeader } from '../services/headers.js';
import { validateRequiredParams } from './validateRequiredParams.js';
import { validateBaseUrl } from './validateBaseUrl.js';
import { validatePayload } from './validatePayload.js';
import { middleware, INTERRUPTED } from '../services/middleware/middleware.js';
import { GET, POST, PUT, PATCH } from '../constants/constants.js';
export var request = function request(urlMaker) {
  var method = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : GET;
  var requestInterface = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var requestConfig = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
  var fetchMaker = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : makeRequest;
  var middlewareService = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : middleware;
  return function () {
    for (var _len = arguments.length, userArgs = new Array(_len), _key = 0; _key < _len; _key++) {
      userArgs[_key] = arguments[_key];
    }

    try {
      var requestId = uniqId();

      var getRequestParams = function getRequestParams() {
        var _userArgs$filter = userArgs.filter(function (arg) {
          return _typeof(arg) === 'object';
        }),
            _userArgs$filter2 = _slicedToArray(_userArgs$filter, 2),
            _userArgs$filter2$ = _userArgs$filter2[0],
            urlParams = _userArgs$filter2$ === void 0 ? {} : _userArgs$filter2$,
            _userArgs$filter2$2 = _userArgs$filter2[1],
            payload = _userArgs$filter2$2 === void 0 ? {} : _userArgs$filter2$2;

        var userBaseUrl = userArgs.find(function (arg) {
          return typeof arg === 'string';
        }) || getBaseUrl();
        var resource = validateBaseUrl(userBaseUrl);
        var url = typeof urlMaker === 'function' ? urlMaker(urlParams) : urlMaker || '';
        var validUrl = validateRequiredParams("".concat(resource).concat(url));
        var requestParams = {
          method: method,
          headers: getHeader()
        };

        if (Object.keys(payload).length > 0) {
          requestParams = _objectSpread({}, requestParams, {
            body: validatePayload(requestInterface, payload, method)
          });
        }

        return _objectSpread({
          url: validUrl
        }, requestParams);
      };

      var executeRequest = function executeRequest() {
        var _getRequestParams = getRequestParams(),
            url = _getRequestParams.url,
            requestParams = _objectWithoutProperties(_getRequestParams, ["url"]);

        return fetchMaker(url, requestParams, requestConfig);
      };

      return Promise.resolve().then(middlewareService.executePreRequest(requestId, getRequestParams())).then(function (signal) {
        return signal !== INTERRUPTED ? executeRequest().then(middlewareService.executePostRequest(requestId, getRequestParams())) : undefined;
      });
    } catch (err) {
      return Promise.reject(err);
    }
  };
};
export var getRequest = function getRequest(urlMaker) {
  for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
    args[_key2 - 1] = arguments[_key2];
  }

  return request.apply(void 0, [urlMaker, GET, undefined].concat(args));
};
export var postRequest = function postRequest(urlMaker, requestInterface) {
  for (var _len3 = arguments.length, args = new Array(_len3 > 2 ? _len3 - 2 : 0), _key3 = 2; _key3 < _len3; _key3++) {
    args[_key3 - 2] = arguments[_key3];
  }

  return request.apply(void 0, [urlMaker, POST, requestInterface].concat(args));
};
export var putRequest = function putRequest(urlMaker, requestInterface) {
  for (var _len4 = arguments.length, args = new Array(_len4 > 2 ? _len4 - 2 : 0), _key4 = 2; _key4 < _len4; _key4++) {
    args[_key4 - 2] = arguments[_key4];
  }

  return request.apply(void 0, [urlMaker, PUT, requestInterface].concat(args));
};
export var patchRequest = function patchRequest(urlMaker, requestInterface) {
  for (var _len5 = arguments.length, args = new Array(_len5 > 2 ? _len5 - 2 : 0), _key5 = 2; _key5 < _len5; _key5++) {
    args[_key5 - 2] = arguments[_key5];
  }

  return request.apply(void 0, [urlMaker, PATCH, requestInterface].concat(args));
};