import { getRequest, putRequest, postRequest } from '../../../helpers/request.js';
import { bankAccountsInterface } from './bankAccountsInterface.js';
import { service as validateService } from './validate/validate.js';
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  var put = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : putRequest;
  var post = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : postRequest;
  return {
    get: get(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/bank-accounts");
    }),
    put: put(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/bank-accounts/") + "".concat(params.id);
    }, bankAccountsInterface),
    post: post(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/bank-accounts");
    }, bankAccountsInterface),
    validate: validateService()
  };
};