import moment from 'moment/moment';
import { getRequest } from '../../../helpers/request.js';

var convertDateToAspNetAjaxFormat = function convertDateToAspNetAjaxFormat(date) {
  var epochInMilliseconds = moment(date).valueOf();
  return "/Date(".concat(epochInMilliseconds, "%2B0000)/");
};

export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  return {
    get: get(function (params) {
      var startDate = convertDateToAspNetAjaxFormat(params.startDate);
      var endDate = convertDateToAspNetAjaxFormat(params.endDate);
      return "v0/merchants/".concat(params.affiliationCode, "/rents") + "?aspNetAjaxChargeDateFrom=".concat(startDate) + "&aspNetAjaxChargeDateTo=".concat(endDate);
    })
  };
};