import { getRequest, putRequest, postRequest } from '../../../helpers/request.js';
import { getOffsetPagination } from '../../../helpers/offsetPagination.js';
import { usersListPutInterface, usersListPostInterface } from './usersListInterface.js';
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  var put = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : putRequest;
  var post = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : postRequest;
  return {
    get: get(function (params) {
      var pagination = getOffsetPagination(params.offset, params.limit);
      return "v0/portal/users/visible?".concat(pagination);
    }),
    put: put(function (params) {
      return "v0/portal/users/".concat(params.userIdentifier);
    }, usersListPutInterface),
    post: post('v0/portal/users', usersListPostInterface)
  };
};