function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

import { BEFORE_REQUEST, AFTER_REQUEST, INTERRUPTED } from './constants.js';
import { validateMiddleware } from './validateMiddleware.js';
export { INTERRUPTED };
export var Middleware =
/*#__PURE__*/
function () {
  function Middleware() {
    _classCallCheck(this, Middleware);

    this._middlewares = [];
    this._requests = {};
    this.executePreRequest = this.executePreRequest.bind(this);
    this.executePostRequest = this.executePostRequest.bind(this);
    this._proceed = this._proceed.bind(this);
    this._quit = this._quit.bind(this);
  }

  _createClass(Middleware, [{
    key: "getAll",
    value: function getAll() {
      return this._middlewares;
    }
  }, {
    key: "use",
    value: function use(middleware) {
      this._middlewares.push(validateMiddleware(middleware));

      return this;
    }
  }, {
    key: "executePreRequest",
    value: function executePreRequest(requestId, request) {
      var _this = this;

      return function () {
        return _this._executeStage(BEFORE_REQUEST, requestId, request);
      };
    }
  }, {
    key: "executePostRequest",
    value: function executePostRequest(requestId, request) {
      var _this2 = this;

      return function (response) {
        return _this2._executeStage(AFTER_REQUEST, requestId, request, response);
      };
    }
  }, {
    key: "_executeStage",
    value: function _executeStage(stage, requestId, request, response) {
      var _this3 = this;

      this._requests[requestId] = this._requests[requestId] || {};
      this._requests[requestId].stage = stage;
      this._requests[requestId].response = response;

      this._executeCurrentMiddleware(requestId, request);

      return new Promise(function (resolve) {
        _this3._requests[requestId].resolver = function (signal) {
          var userResponse = _this3._requests[requestId].response;
          resolve(signal || userResponse || response);
        };
      });
    }
  }, {
    key: "_executeCurrentMiddleware",
    value: function _executeCurrentMiddleware(requestId, request) {
      var _this4 = this;

      var _this$_requests$reque = this._requests[requestId],
          stage = _this$_requests$reque.stage,
          response = _this$_requests$reque.response,
          _this$_requests$reque2 = _this$_requests$reque.index,
          index = _this$_requests$reque2 === void 0 ? 0 : _this$_requests$reque2;
      var currentMiddleware = this._middlewares[index];

      if (!currentMiddleware || !currentMiddleware[stage]) {
        this._proceed(requestId, request);

        return undefined;
      }

      var currentCallback = currentMiddleware[stage];
      var signal = stage === BEFORE_REQUEST ? INTERRUPTED : undefined;
      currentCallback({
        proceed: function proceed(userResponse) {
          _this4._requests[requestId] = _this4._requests[requestId] || {};
          _this4._requests[requestId].response = userResponse || response;

          _this4._proceed(requestId, request);
        },
        quit: function quit() {
          _this4._quit(requestId, signal);
        },
        request: request,
        response: response
      });
      return undefined;
    }
  }, {
    key: "_proceed",
    value: function _proceed(requestId, request) {
      var _this$_requests$reque3 = this._requests[requestId].index,
          index = _this$_requests$reque3 === void 0 ? 0 : _this$_requests$reque3;

      if (index + 1 < this._middlewares.length) {
        this._requests[requestId].index = index + 1;

        this._executeCurrentMiddleware(requestId, request);

        return undefined;
      }

      this._quit(requestId);

      return undefined;
    }
  }, {
    key: "_quit",
    value: function _quit(requestId, signal) {
      var _this5 = this;

      Promise.resolve().then(function () {
        _this5._requests[requestId].resolver(signal);

        _this5._requests[requestId] = undefined;
      });
    }
  }]);

  return Middleware;
}();
export var middleware = new Middleware();