function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

import { BEFORE_REQUEST, AFTER_REQUEST } from './constants.js';

var isObject = function isObject(arg) {
  return _typeof(arg) === 'object' && !Array.isArray(arg) && arg != null;
};

var isFunction = function isFunction(arg) {
  return typeof arg === 'function';
};

var isPromise = function isPromise(arg) {
  return arg != null && isFunction(arg.then);
};

export var validateMiddleware = function validateMiddleware(middleware) {
  if (!isObject(middleware)) {
    throw new Error('The middleware must be an object.');
  }

  var hasWrongPropery = Object.keys(middleware).some(function (key) {
    return ![BEFORE_REQUEST, AFTER_REQUEST].includes(key);
  });

  if (hasWrongPropery) {
    throw new Error("The middleware can only have ".concat(BEFORE_REQUEST, " and ") + "".concat(AFTER_REQUEST, " properties"));
  }

  var hasWrongPropertyTypes = Object.values(middleware).some(function (key) {
    return !isFunction(key) && !isPromise(key);
  });

  if (hasWrongPropertyTypes) {
    throw new Error("The middleware can only have ".concat(BEFORE_REQUEST, " and ") + "".concat(AFTER_REQUEST, " properties, which should be functions."));
  }

  return middleware;
};