import moment from 'moment/moment';
import { getRequest } from '../../../helpers/request.js';

const convertDateToAspNetAjaxFormat = (date) => {
  const epochInMilliseconds = moment(date).valueOf();
  return `/Date(${epochInMilliseconds}%2B0000)/`;
};

export const service = (get = getRequest) => ({
  get: get((params) => {
    const startDate = convertDateToAspNetAjaxFormat(params.startDate);
    const endDate = convertDateToAspNetAjaxFormat(params.endDate);
    return `v0/merchants/${params.affiliationCode}/rents` +
    `?aspNetAjaxChargeDateFrom=${startDate}` +
    `&aspNetAjaxChargeDateTo=${endDate}`;
  }),
});
