import { getRequest, putRequest, postRequest } from '../../../helpers/request.js';
import { getOffsetPagination } from '../../../helpers/offsetPagination.js';
import { usersListPutInterface, usersListPostInterface } from './usersListInterface.js';

export const service = (
  get = getRequest,
  put = putRequest,
  post = postRequest,
) => ({
  get: get((params) => {
    const pagination = getOffsetPagination(params.offset, params.limit);
    return `v0/portal/users/visible?${pagination}`;
  }),
  put: put(params =>
    `v0/portal/users/${params.userIdentifier}`, usersListPutInterface),
  post: post('v0/portal/users', usersListPostInterface),
});
