const webpackTestConfig = require('./webpack.test.config');

const testFiles = 'src/**/*.test.js';

module.exports = (config) => {
  config.set({
    mochaReporter: {
      showDiff: true,
    },
    reporters: ['mocha', 'coverage-istanbul'],
    coverageIstanbulReporter: {
      dir: 'coverage/integration',
      reports: ['html', 'lcovonly', 'text-summary'],
      fixWebpackSourcePaths: true,
      skipFilesWithNoCoverage: true,
    },
    webpack: webpackTestConfig(),
    browsers: [
      'ChromeHeadlessNoSandbox',
    ],
    customLaunchers: {
      ChromeHeadlessNoSandbox: {
        base: 'ChromeHeadless',
        flags: ['--no-sandbox'],
      },
    },
    basePath: '../..',
    browserNoActivityTimeout: 60000,
    singleRun: true,
    frameworks: ['mocha', 'chai-sinon'],
    files: [
      {
        pattern: testFiles,
        watched: false,
      },
    ],
    preprocessors: {
      [testFiles]: ['webpack'],
    },
  });
};
