import merchantReducer from './merchantReducer';

describe('merchantReducer', () => {
  const state = {
    state: 'xpto',
  };
  const data = ['mock_1', 'mock_2'];

  it('Should return state with Merchant Contacts.', () => {
    const action = {
      type: 'GET_MERCHANT_CONTACTS',
      data,
    };
    expect(merchantReducer(state, action))
      .to.eql({ state: 'xpto', merchantContacts: data });
  });

  it('Should return state with Merchant Partners.', () => {
    const action = {
      type: 'GET_MERCHANT_PARTNERS',
      data,
    };
    expect(merchantReducer(state, action))
      .to.eql({ state: 'xpto', merchantPartners: data });
  });

  it('Should return state with Merchant Addresses.', () => {
    const action = {
      type: 'GET_MERCHANT_ADDRESSES',
      data,
    };
    expect(merchantReducer(state, action))
      .to.eql({ state: 'xpto', merchantAddresses: data });
  });

  it('Should return state with Merchant Info.', () => {
    const action = {
      type: 'GET_MERCHANT_INFO',
      data,
    };
    expect(merchantReducer(state, action))
      .to.eql({ state: 'xpto', merchantInfo: data });
  });

  it('Should return state with Merchant Bank Info.', () => {
    const action = {
      type: 'GET_MERCHANT_BANK_INFO',
      data,
    };
    expect(merchantReducer(state, action))
      .to.eql({ state: 'xpto', merchantBankInfo: data });
  });

  it('Should return state with Merchant Fees.', () => {
    const action = {
      type: 'GET_MERCHANT_FEES',
      data,
    };
    expect(merchantReducer(state, action))
      .to.eql({ state: 'xpto', merchantFees: data });
  });

  it('Should return state with no changes.', () => {
    const action = {
      data,
    };
    expect(merchantReducer(state, action)).to.eql(state);
  });

  it('Should return state with Merchant Fees.', () => {
    const action = {
      type: 'GET_MERCHANT_FEES',
      data,
    };
    expect(merchantReducer(state, action))
      .to.eql({ state: 'xpto', merchantFees: data });
  });
});
