import { getPagination } from '../../../helpers/pagination.js';
import { getRequest } from '../../../helpers/request.js';

export const service = (get = getRequest) => ({
  list: get((params) => {
    const pagination = getPagination(params.page, params.pageSize);

    return 'v0/acquirer-sales/transactions?' +
      `affiliationCodes=${params.affiliationCodes}` +
      `&startDate=${params.startDate}&finalDate=${params.finalDate}` +
      `${params.page ? `&${pagination}` : ''}` + 
      '&includes=financialMovements';
  }),
});
