import { matchesInterface } from '../../../helpers/interface.js';
import { putPartnerInterface, postPartnerInterface } from './partnersInterface.js';

describe('Partners Interface.', () => {
  it('Should validate the POST payload according to the interface.', () => {
    const payload = {
      ownershipPercentage: 1.2,
      taxId: 'String',
      name: 'String',
      birthdate: 'String',
      birthPlace: 'String',
      birthCountryid: 1,
      fatherName: 'String',
      motherName: 'String',
      spouseTaxId: 'String',
      spouseName: 'String',
      additionalDocuments: [],
    };
    expect(matchesInterface(postPartnerInterface)(payload))
      .to.be.true;
  });

  it('Should validate the PUT payload according to the interface.', () => {
    const payload = {
      ownershipPercentage: 1.2,
      taxId: 'String',
      name: 'String',
      birthdate: 'String',
      birthPlace: 'String',
      birthCountryid: 1,
      fatherName: 'String',
      motherName: 'String',
      spouseTaxId: 'String',
      spouseName: 'String',
    };
    expect(matchesInterface(putPartnerInterface)(payload))
      .to.be.true;
  });
});
