import sinon from 'sinon';
import { service as plans } from './plans.js';

describe('Billing Plans Module', () => {
  it('Should have methods after initialization.', () => {
    const service = plans();
    expect(service.get).to.be.a('function');
  });

  it('Should call get request.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = plans(getRequest);

    service.get();

    expect(spy).to.have.been.calledOnce;
  });

  it('Should call get request with valid params.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = plans(getRequest);

    service.get();

    expect(spy).to.have.been.calledWith();
  });
});
