import { getRequest, putRequest, postRequest } from '../../../helpers/request.js';
import { bankAccountsInterface } from './bankAccountsInterface.js';
import { service as validateService } from './validate/validate.js';

export const service = (
  get = getRequest,
  put = putRequest,
  post = postRequest,
) => ({
  get: get(params => `v0/merchants/${params.affiliationCode}/bank-accounts`),
  put: put(params => `v0/merchants/${params.affiliationCode}/bank-accounts/` +
    `${params.id}`, bankAccountsInterface),
  post: post(params => `v0/merchants/${params.affiliationCode}/bank-accounts`,
    bankAccountsInterface),

  validate: validateService(),
});
