import { matchesInterface } from '../../../../helpers/interface.js';
import { validateInterface } from './validateInterface.js';

describe('Bank Accounts Validate Models', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      accountNumber: '321',
      accountNumberCheckDigit: '1',
      accountTypeId: 1,
      bankCode: '321',
      branchCode: '1000',
      branchCodeCheckDigit: '0',
      document: '12345678900',
      documentTypeId: 1,
    };
    expect(matchesInterface(validateInterface)(payload))
      .to.be.true;
  });

  it('Should pass with null values.', () => {
    const payload = {
        accountNumber: '321',
        accountNumberCheckDigit: '1',
        accountTypeId: 1,
        bankCode: '321',
        branchCode: '1000',
        branchCodeCheckDigit: null,
        document: null,
        documentTypeId: null,
      };
    expect(matchesInterface(validateInterface)(payload))
      .to.be.true;
  });
});
