import { service as contactTypesService } from './contactTypes';

describe('Contact types Module', () => {
  it('Should have methods after initialization.', () => {
    const service = contactTypesService();
    expect(service.get).to.be.a('function');
  });

  it('Should call get request and return contact types mock.', (done) => {
    const service = contactTypesService();
    service.get()
      .then((response) => {
        expect(response.data).to.deep.equal([
          {
            id: 1,
            name: 'Administrativo',
          },
          {
            id: 2,
            name: 'Financeiro',
          },
          {
            id: 3,
            name: 'Técnico',
          },
        ]);
        done();
      })
      .catch(err => done(err));
  });
});
