import { service as addressesService } from './addresses/addresses.js';
import { service as availableBanksService } from './availableBanks/availableBanks.js';
import { service as bankAccountsService } from './bankAccounts/bankAccounts.js';
import { service as bankSlipService } from './bankSlip/bankSlip.js';
import { service as brandsService } from './brands/brands.js';
import { service as captureMethodsService } from './captureMethods/captureMethods.js';
import { service as collactService } from './collact/collact.js';
import { service as contactsService } from './contacts/contacts.js';
import { service as contactTypesService } from './contactTypes/contactTypes.js';
import { service as feesService } from './fees/fees.js';
import { service as groupedEntriesService } from './groupedEntries/groupedEntries.js';
import { service as isMEIService } from './isMEI/isMEI.js';
import { service as merchantListService } from './merchantList/merchantList.js';
import { service as merchantService } from './merchant/merchant.js';
import { service as openBalanceService } from './openBalance/openBalance.js';
import { service as partnersService } from './partners/partners.js';
import { service as paymentInfoService } from './paymentInfo/paymentInfo.js';
import { service as paymentsPerDateService } from './paymentsPerDate/paymentsPerDate.js';
import { service as preAuthorizationService } from './preAuthorization/preAuthorization.js';
import { service as rentedTerminalsService } from './rentedTerminals/rentedTerminals.js';
import { service as rentsPerDateService } from './rents/rentsPerDate.js';
import { service as simulateSalesService } from './simulateSales/simulateSales.js';
import { service as subscriptionsService } from './subscriptions/subscriptions.js';
import { service as terminalsService, activate as activateTerminal, deactivate as deactivateTerminal } from './terminals/terminals.js';
import { service as termService } from './term/term.js';
import { service as termsHashesService } from './termsHashes/termsHashes.js';

const addresses = addressesService();
const availableBanks = availableBanksService();
const bankAccounts = bankAccountsService();
const bankSlip = bankSlipService();
const brands = brandsService();
const captureMethods = captureMethodsService();
const collact = collactService();
const contacts = contactsService();
const contactTypes = contactTypesService();
const fees = feesService();
const groupedEntries = groupedEntriesService();
const isMEI = isMEIService();
const merchant = merchantService();
const merchantList = merchantListService();
const openBalance = openBalanceService();
const partners = partnersService();
const paymentInfo = paymentInfoService();
const paymentsPerDate = paymentsPerDateService();
const preAuthorization = preAuthorizationService();
const rentedTerminals = rentedTerminalsService();
const rentsPerDate = rentsPerDateService();
const simulateSales = simulateSalesService();
const subscriptions = subscriptionsService();
const term = termService();
const terminals = terminalsService();
const termsHashes = termsHashesService();

export {
  activateTerminal,
  addresses,
  availableBanks,
  bankAccounts,
  bankSlip,
  brands,
  captureMethods,
  collact,
  contacts,
  contactTypes,
  deactivateTerminal,
  fees,
  groupedEntries,
  isMEI,
  merchant,
  merchantList,
  openBalance,
  partners,
  paymentInfo,
  paymentsPerDate,
  preAuthorization,
  rentedTerminals,
  rentsPerDate,
  simulateSales,
  subscriptions,
  term,
  terminals,
  termsHashes,
};
