import sinon from 'sinon';
import { service as terminalActivateService } from './deactivate';
import { postDeactivateInterface } from './deactivateInterface';

const urlParams = {
  affiliationCode: '321321321',
  terminalId: '112341234',
};

describe('Terminal activation Module', () => {
  it('Should have methods after initialization.', () => {
    const service = terminalActivateService();
    expect(service.post).to.be.a('function');
  });

  it('Should call post request.', () => {
    const spy = sinon.spy();

    const postRequest = () => spy;

    const service = terminalActivateService(postRequest);

    service.post(urlParams, postDeactivateInterface);

    expect(spy).to.have.been.calledOnce;
  });
});
