import { getRequest } from '../../../helpers/request.js';
import { getPagination } from '../../../helpers/pagination.js';
import { service as activateService } from './activate/activate.js';
import { service as deactivateService } from './deactivate/deactivate.js';

const activate = activateService();
const deactivate = deactivateService();

export {
  activate,
  deactivate,
};

export const service = (get = getRequest) => ({
  get: get((params) => {
    if (!params.page) {
      params.page = 1;
    }
    const pagination = getPagination(params.page, params.pageSize);
    return `v0/merchants/${params.affiliationCode}/terminal-devices` +
    `?${pagination}` +
    `${params.statusId ? `&statusId=${params.statusId}` : ''}`;
  }),
});
