import {
  get as getHeaders,
  append as appendToHeaders,
  remove as removeFromHeaders,
} from './headers.js';

describe('Headers Service', () => {
  beforeEach(() => {
    removeFromHeaders('Code');
    removeFromHeaders('Level');
  });

  it('Should append an item to Headers.', () => {
    appendToHeaders('Code', '123');
    expect(getHeaders()).to.eql({
      Code: '123',
    });
  });

  it('Should append another item to Headers.', () => {
    appendToHeaders('Code', '123');
    appendToHeaders('Level', '42');
    expect(getHeaders()).to.eql({
      Code: '123',
      Level: '42',
    });
  });

  it('Should remove an item from Headers.', () => {
    appendToHeaders('Level', '42');
    removeFromHeaders('Level');
    expect(getHeaders()).to.eql({});
  });
});
