import {
  get as getIsSSO,
  set as setIsSSO,
  remove as removeIsSSO,
} from './isSSO.js';

import {
  append as appendToHeaders,
  remove as removeFromHeaders,
} from '../headers.js';

describe('isSSO Service', () => {
  beforeEach(() => {
    removeFromHeaders('is-SSO');
  });

  it('Should get isSSO from Headers.', () => {
    appendToHeaders('is-SSO', 'true');
    expect(getIsSSO()).to.equal('true');
  });

  it('Should set isSSO to Headers.', () => {
    appendToHeaders('is-SSO', 'false');
    setIsSSO('true');
    expect(getIsSSO()).to.equal('true');
  });

  it('Should not set isSSO when parameters are not passed.', () => {
    appendToHeaders('is-SSO', 'start5678');
    setIsSSO();
    expect(getIsSSO()).to.equal('start5678');
  });

  it('Should remove isSSO from Headers.', () => {
    appendToHeaders('is-SSO', 'start5678');
    removeIsSSO();
    expect(getIsSSO()).to.be.undefined;
  });
});
